classification
Title: kwdargs for compile/__import__
Type: Stage:
Components: Interpreter Core Versions: Python 2.5
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, loewis, nnorwitz, twouters
Priority: normal Keywords: patch

Created on 2006-03-07 00:55 by twouters, last changed 2007-03-13 20:47 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
kwds.diff twouters, 2006-03-07 00:55
Messages (4)
msg49681 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2006-03-07 00:55
Keyword arguments for compile() and __import__(), as
discussed at PyCon. There is a slight speed difference
on my development system: __import__ is ~1% slower,
compile() is ~1.5% faster. I blame both on caches,
alignment and what not, so I bet they're totally
different for everyone. I'd say the advantage of
managing the growing set of arguments outweighs the
speed impact (if any.)
msg49682 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2006-03-07 05:22
Logged In: YES 
user_id=33168

These look good to me.  Thanks Thomas. I had started a patch
for import.  BTW I think the new __import__ needs to be
documented in libfuncs.txt or somewhere like that.  If you
don't get to it, I'll find my change and update the docs.
msg49683 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-03-05 13:16
Is anybody still working on this?
msg49684 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-03-13 20:47
__import__ already accepted kwargs, committed the compile() part in rev. 54358.
History
Date User Action Args
2006-03-07 00:55:30twouterscreate